Subject: bug#24091: 24.5; High CPU usage at startup while hidden

From: martin rudalics <[email-masked]>
Date: Sun, 04 Sep 2016 17:56:37 +0200

> Having trouble parsing your sentence. This happens before
 > x_make_frame_visible gets called, and before the actual frame is
 > visible. Is that what you're asking?

Sorry for being unclear: In x_make_frame_visible we have this loop:

     while (!FRAME_VISIBLE_P (f))

What I wanted to know is whether the frame f here is the _same_ frame
you see in x_top_window_to_frame where IIUC

	  if (wdesc == XtWindow (x->widget))
	    return f;

fails.  I see no other place where "(wdesc == XtWindow (x->widget)) is
false" would apply.  Or am I missing something?

martin